"use strict";

this.name    = "SunSpectraAnalyzer";
this.author = "Stranger";
this.copyright = "This work is hereby placed in the public domain.";
this.description = "Conversion sun color to spectral index. Inspired by Wildblood Spectroscope script.";
this.version = "1.2";

/* ====================================================================================
			SPECTRAL INDEX

    Setting sun_color via named colors returns limited color range (red, orange, yellow,
    white, blue... mayby cyan and magenta - that's all). But setting sun_color via RGBA
    or HSBA model in planetinfo.plist returns null... so a little conversion trick is
    implemented below.
======================================================================================= */

this.guiScreenChanged = function()
	{
	if (guiScreen === "GUI_SCREEN_SYSTEM_DATA")
		{
		var info = System.infoForSystem(galaxyNumber, player.ship.targetSystem);
		if (info.sun_gone_nova) return;
		
		var name = info.name;
		var sunName = info.sun_name;
        var sunRadius = info.sun_radius; 
		var spectrumText = $astroLib_SunSpectrum(sunRadius);
		if (spectrumText && sunName) mission.addMessageText("Планета " + name + " вращается вокруг " + spectrumText + " " + sunName + ".");
		else if (spectrumText) mission.addMessageText("Планета " + name + " вращается вокруг " + spectrumText + " " + "звезды.");
		else if (sunName) mission.addMessageText("Планета " + name + " вращается вокруг звезды " + sunName + ".");
		}
	}

