"use strict";

this.name    = "SunInfo";
this.author = "Stranger";
this.copyright = "This work is hereby placed in the public domain.";
this.description = "Replace system data screen with sun data. Inspired by Wildblood Spectroscope script.";
this.version = "2.0";

/* ====================================================================================
			CONFIGURATION

If this.$remote = false, it always shows info on the local star, 
if this.$remote = true, it shows info on the star selected on the long-range chart.
======================================================================================= */

this.on      = true;
this.$remote = false;   // don't change this switch, please!

/* ====================================================================================
			REPLACE SYSTEM DATA SCREEN WITH STELLAR DATA
======================================================================================= */

this.guiScreenChanged = function()
	{
	if (guiScreen               === "GUI_SCREEN_SYSTEM_DATA"
	 && player.ship.status      === "STATUS_IN_FLIGHT"
	 && player.ship.compassMode === "COMPASS_MODE_SUN"
	 && this.on) this.$star();
	}

/* ====================================================================================
			STELLAR DATA
======================================================================================= */

this.$star = function()
	{
	var info = system.info;
	var catNum = " " + galaxyNumber + " " + system.ID;
    if (system.info.sun_radius)
		{
        var sunRadius = system.sun.radius;
		}
    var sunDistance = player.ship.position.distanceTo(system.sun).toFixed(0);
    var spectrumText = $astroLib_SunSpectrum(sunRadius);
    var solarWind = $astroLib_SolarWind(sunDistance);
    var solRadius = system.sun.radius/400000;
    var sunRelDistance = (sunDistance/system.sun.radius);
    var localYear = $astroLib_solPeriod(sunRadius);
    
    var planetMaxNumber = 7;
    var planetOrbitInfoRow = new Array();
    planetOrbitInfoRow[0] = "1.00 OU * Основная Планета\n";
    for (let i=1; i<planetMaxNumber; i++)
        {
        planetOrbitInfoRow[i] = "";
        } 
    var planetOrbitRadius;
    var planetRadius;
    var planetOrbitScan = $astroLib_orbitRadius();
    var planetOrbitInfo = "Обнаружены планеты:" + "\n";
    for (let i=0; i<system.planets.length; i++)
        {
        planetOrbitRadius = planetOrbitScan[i];
        planetRadius = system.planets[i].radius;
        switch (planetRadius)
            {
            case 30000: planetOrbitInfoRow[1] = planetOrbitRadius.toFixed(2) + " OU * Малая Планета земного типа\n"; break;
            case 50000: planetOrbitInfoRow[2] = planetOrbitRadius.toFixed(2) + " OU * Планета земного типа\n"; break;
            case 40000: planetOrbitInfoRow[3] = planetOrbitRadius.toFixed(2) + " OU * Малая Планета земного типа\n"; break;
            case 150000: planetOrbitInfoRow[4] = planetOrbitRadius.toFixed(2) + " OU * Газовый Гигант\n"; break;
            case 120000: planetOrbitInfoRow[5] = planetOrbitRadius.toFixed(2) + " OU * Газовый Гигант\n"; break;
            case 100000: planetOrbitInfoRow[6] = planetOrbitRadius.toFixed(2) + " OU * Газовый Гигант\n"; break;
            case 27500: planetOrbitInfoRow[7] = planetOrbitRadius.toFixed(2) + " OU * Малая Планета земного типа\n"; break;
            }
        }
    for (let i=0; i<planetOrbitInfoRow.length; i++)
        {
        planetOrbitInfo += planetOrbitInfoRow[i];
        }

    var messageText = "Каталоговый номер: " + catNum + "\n"
                    + "Звёздное имя:Звезда " + info.name + "\n"
	                + "Спектральный класс: " + spectrumText + "\n"
	                + "Солнечный радиус: " + solRadius.toFixed(2) + "\n"
                    + "Год длится: " + localYear + " дней" + "\n"
	                + "Размер короны: " + info.corona_flare.toFixed(2) + "\n"                    
	                + "Расстояние: " + sunRelDistance.toFixed(2) + " R" + "\n"
	                + "Поток солнечного ветра: " + solarWind.toFixed(2) + " LY/min" + "\n\n"
                    + planetOrbitInfo;
    
	mission.runScreen({
        title: "Звёздные данные",
        background: {name: "solarFlare.png", height: 480 },
        message: messageText,
        choicesKey: "sun_info_screen"});
	}
